## mpv 0.8.0

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from waflib.Configure import conf
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

build_options = [
    {
        'name': '--cplayer',
        'desc': 'mpv CLI player',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps_neg': [ 'libmpv-shared' ],
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--optimize',
        'desc': 'whether to optimize',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
        'default': 'disable',
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': 'dlopen',
        'desc': 'dlopen',
        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--vf-dlopen-filters',
        'desc': 'compilation of default filters for vf_dlopen',
        'deps': [ 'dlopen' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--zsh-comp',
        'desc': 'zsh completion',
        'func': check_true,
        'default': 'disable',
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }, {
        'name': '--test',
        'desc': 'test suite (using cmocka)',
        'func': check_pkg_config('cmocka >= 0.4.1'),
    }, {
        'name': '--clang-database',
        'desc': 'generate a clang compilation database',
        'func': check_true,
        'default': 'disable',
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'mingw',
        'desc': 'MinGW',
        'deps': [ 'os-win32' ],
        'func': check_statement('stddef.h', 'int x = __MINGW32__;'
                                            'int y = __MINGW64_VERSION_MAJOR'),
    }, {
        'name': 'posix',
        'desc': 'POSIX environment',
        # This should be good enough.
        'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
            'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
    }, {
        'name': 'posix-or-mingw',
        'desc': 'programming environment',
        'deps_any': [ 'posix', 'mingw' ],
        'func': check_true,
        'req': True,
        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                'or compiler does not work.',
    }, {
        'name': '--win32-internal-pthreads',
        'desc': 'internal pthread wrapper for win32 (Vista+)',
        'deps_neg': [ 'posix' ],
        'deps': [ 'mingw' ],
        'func': check_true,
        'default': 'disable',
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        'name': 'stdatomic',
        'desc': 'stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'int test2 = atomic_load(&test)'))
    }, {
        'name': 'atomic-builtins',
        'desc': 'compiler support for __atomic built-ins',
        'func': check_libs(['atomic'],
            check_statement('stdint.h',
                'int64_t test = 0;'
                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
        'deps_neg': [ 'stdatomic' ],
    }, {
        'name': 'sync-builtins',
        'desc': 'compiler support for __sync built-ins',
        'func': check_statement('stdint.h',
                    'int64_t test = 0;'
                    '__typeof__(test) x = ({int a = 1; a;});'
                    'test = __sync_add_and_fetch(&test, 1)'),
        'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
    }, {
        'name': 'atomics',
        'desc': 'compiler support for usable thread synchronization built-ins',
        'func': check_true,
        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': [ 'pthreads' ],
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--waio',
        'desc': 'libwaio for win32',
        'deps': [ 'os-win32', 'mingw' ],
        'func': check_libs(['waio'],
                    check_statement('waio/waio.h', 'waio_alloc(0, 0, 0, 0)')),
    }, {
        'name': '--termios',
        'desc': 'termios',
        'func': check_headers('termios.h', 'sys/termios.h'),
    }, {
        'name': '--shm',
        'desc': 'shm',
        'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
            'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
    }, {
        'name': 'nanosleep',
        'desc': 'nanosleep',
        'func': check_statement('time.h', 'nanosleep(0,0)')
    }, {
        'name': 'posix-spawn',
        'desc': 'POSIX spawnp()/kill()',
        'func': check_statement(['spawn.h', 'signal.h'],
            'posix_spawnp(0,0,0,0,0,0); kill(0,0)')
    }, {
        'name': 'glob',
        'desc': 'glob()',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
    }, {
        'name': 'glob-win32-replacement',
        'desc': 'glob() win32 replacement',
        'deps_neg': [ 'glob' ],
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'glibc-thread-name',
        'desc': 'GLIBC API for setting thread name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'osx-thread-name',
        'desc': 'OSX API for setting thread name',
        'deps_neg': [ 'glibc-thread-name' ],
        'func': check_statement('pthread.h',
                                'pthread_setname_np("ducks")', use=['pthreads']),
    }, {
        'name': 'bsd-thread-name',
        'desc': 'BSD API for setting thread name',
        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
        'func': check_statement(['pthread.h', 'pthread_np.h'],
                                'pthread_set_name_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'netbsd-thread-name',
        'desc': 'NetBSD API for setting thread name',
        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
                                use=['pthreads']),
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': [ 'os-linux' ],
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': '--libguess',
        'desc': 'libguess support',
        'func': check_pkg_config('libguess', '>= 1.0'),
    }, {
        'name': '--libsmbclient',
        'desc': 'Samba support',
        'deps': [ 'libdl' ],
        'func': check_pkg_config('smbclient'),
        'module': 'input',
    }, {
        'name' : '--lua',
        'desc' : 'Lua',
        'func': check_lua,
    }, {
        'name': '--libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass'),
        'req': True,
        'fmsg': "Unable to find development files for libass. Aborting. \
If you really mean to compile without libass support use --disable-libass."
    }, {
        'name': '--libass-osd',
        'desc': 'libass OSD support',
        'deps': [ 'libass' ],
        'func': check_true,
    }, {
        'name': 'dummy-osd',
        'desc': 'dummy OSD support',
        'deps_neg': [ 'libass-osd' ],
        'func': check_true,
    } , {
        'name': 'zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    } , {
        'name' : '--encoding',
        'desc' : 'Encoding',
        'func': check_true,
    }, {
        'name' : '--joystick',
        'desc' : 'joystick',
        'func': check_cc(header_name='linux/joystick.h'),
        'default': 'disable'
    }, {
        'name' : '--lirc',
        'desc' : 'lirc',
        'func': check_cc(header_name='lirc/lirc_client.h', lib='lirc_client'),
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',
        'func': check_pkg_config('libbluray', '>= 0.3.0'),
    }, {
        'name': '--dvdread',
        'desc': 'dvdread support',
        'func': check_pkg_config('dvdread', '>= 4.1.0'),
    }, {
        'name': '--dvdnav',
        'desc': 'dvdnav support',
        'deps': [ 'dvdread' ],
        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
    }, {
        'name': '--cdda',
        'desc': 'cdda support (libcdio)',
        'func': check_pkg_config('libcdio_paranoia'),
    }, {
        'name': '--enca',
        'desc': 'ENCA support',
        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
    }, {
        'name': '--mpg123',
        'desc': 'mpg123 support',
        'func': check_pkg_config('libmpg123', '>= 1.14.0'),
    }, {
        'name': '--ladspa',
        'desc': 'LADSPA plugin support',
        'func': check_statement('ladspa.h', 'LADSPA_Descriptor ld = {0}'),
    }, {
        'name': '--libbs2b',
        'desc': 'libbs2b audio filter support',
        'func': check_pkg_config('libbs2b'),
    }, {
        'name': '--lcms2',
        'desc': 'LCMS2 support',
        'func': check_pkg_config('lcms2', '>= 2.6'),
    }, {
        'name': 'vapoursynth-core',

=== debian/changelog ===
mpv (0.8.0-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Disable altivec on ppc64el again, as it FTBFS with it.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 19 Feb 2015 17:51:45 +0100

mpv (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update to waf 1.8.4
  * Don't run clean if no waf is present
  * Refresh patches
  * Update symbols file
  * Only enable joystick support on linux

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 18 Feb 2015 15:12:55 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

FEATURES = --enable-cdda		\
           --enable-sdl2		\
           --enable-zsh-comp		\
           --enable-libmpv-shared

ifeq ($(DEB_HOST_ARCH_OS),linux)
	FEATURES += --enable-joystick
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
endif

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v configure			\
			--prefix=/usr				\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)	\
			--confdir=/etc/mpv			\
			--zshdir=/usr/share/zsh/vendor-completions \
			$(FEATURES)

override_dh_auto_build:
	python ./waf -v build

override_dh_auto_install:
	python ./waf -v install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	test -s ./waf && python ./waf -v distclean || true
	find . -name "*.pyc" -delete

override_dh_strip:
	dh_strip -pmpv --dbg-package=mpv-dbg
	dh_strip -plibmpv1 --dbg-package=libmpv-dbg

## mpv 0.9.2

=== wscript ===
--- 
+++ 
@@ -83,7 +83,8 @@
     }, {
         'name': '--test',
         'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka >= 0.4.1'),
+        'func': check_pkg_config('cmocka', '>= 0.4.1'),
+        'default': 'disable',
     }, {
         'name': '--clang-database',
         'desc': 'generate a clang compilation database',
@@ -119,17 +120,22 @@
             'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
     }, {
         'name': 'posix-or-mingw',
-        'desc': 'programming environment',
+        'desc': 'development environment',
         'deps_any': [ 'posix', 'mingw' ],
         'func': check_true,
         'req': True,
         'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                 'or compiler does not work.',
+    }, {
+        'name': 'win32',
+        'desc': 'win32',
+        'deps_any': [ 'os-win32', 'os-cygwin' ],
+        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid']),
     }, {
         'name': '--win32-internal-pthreads',
         'desc': 'internal pthread wrapper for win32 (Vista+)',
         'deps_neg': [ 'posix' ],
-        'deps': [ 'mingw' ],
+        'deps': [ 'win32' ],
         'func': check_true,
         'default': 'disable',
     }, {
@@ -207,7 +213,13 @@
         'name': 'posix-spawn',
         'desc': 'POSIX spawnp()/kill()',
         'func': check_statement(['spawn.h', 'signal.h'],
-            'posix_spawnp(0,0,0,0,0,0); kill(0,0)')
+            'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
+        'deps_neg': ['mingw'],
+    }, {
+        'name': 'subprocess',
+        'desc': 'posix_spawnp() or MinGW',
+        'func': check_true,
+        'deps_any': ['posix-spawn', 'mingw'],
     }, {
         'name': 'glob',
         'desc': 'glob()',
@@ -218,6 +230,15 @@
         'deps_neg': [ 'glob' ],
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
+    }, {
+        'name': 'fchmod',
+        'desc': 'fchmod()',
+        'func': check_statement('sys/stat.h', 'fchmod(0, 0)'),
+    }, {
+        'name': 'vt.h',
+        'desc': 'vt.h',
+        'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
+                                'int m; ioctl(0, VT_GETMODE, &m)'),
     }, {
         'name': 'glibc-thread-name',
         'desc': 'GLIBC API for setting thread name',
@@ -272,10 +293,11 @@
     }, {
         'name': '--libass',
         'desc': 'SSA/ASS support',
-        'func': check_pkg_config('libass'),
-        'req': True,
-        'fmsg': "Unable to find development files for libass. Aborting. \
-If you really mean to compile without libass support use --disable-libass."
+        'func': check_pkg_config('libass', '>= 0.12.1'),
+        'req': True,
+        'fmsg': "Unable to find development files for libass, or the version " +
+                "found is too old. Aborting. If you really mean to compile " +
+                "without libass support use --disable-libass."
     }, {
         'name': '--libass-osd',
         'desc': 'libass OSD support',
@@ -298,15 +320,6 @@
         'desc' : 'Encoding',
         'func': check_true,
     }, {
-        'name' : '--joystick',
-        'desc' : 'joystick',
-        'func': check_cc(header_name='linux/joystick.h'),
-        'default': 'disable'
-    }, {
-        'name' : '--lirc',
-        'desc' : 'lirc',
-        'func': check_cc(header_name='lirc/lirc_client.h', lib='lirc_client'),
-    }, {
         'name': '--libbluray',
         'desc': 'Bluray support',
         'func': check_pkg_config('libbluray', '>= 0.3.0'),
@@ -328,20 +341,5 @@
         'desc': 'ENCA support',
         'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
     }, {
-        'name': '--mpg123',
-        'desc': 'mpg123 support',
-        'func': check_pkg_config('libmpg123', '>= 1.14.0'),
-    }, {
         'name': '--ladspa',
         'desc': 'LADSPA plugin support',
-        'func': check_statement('ladspa.h', 'LADSPA_Descriptor ld = {0}'),
-    }, {
-        'name': '--libbs2b',
-        'desc': 'libbs2b audio filter support',
-        'func': check_pkg_config('libbs2b'),
-    }, {
-        'name': '--lcms2',
-        'desc': 'LCMS2 support',
-        'func': check_pkg_config('lcms2', '>= 2.6'),
-    }, {
-        'name': 'vapoursynth-core',

=== debian/changelog ===
mpv (0.9.2-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Disable altivec on ppc64el again, as it FTBFS with it.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 06 Jul 2015 12:14:57 +0200

mpv (0.9.2-1) unstable; urgency=medium

  [ Alessandro Ghedini ]
  * New upstream release
  * Add xdg-utils to Recommends
    xdg-screensaver is used to disable the screen saver.
  * Bump versioned Build-Depends on libav

  [ Jérémy Bobbio ]
  * Stop recording the build date (Closes: #784267)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 30 May 2015 15:05:54 +0200

mpv (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update 02_fix-config-path.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 May 2015 12:51:14 +0200

mpv (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump required libass version
  * libmpg123 support was dropped upstream
  * LIRC support was dropped upstream
  * Joystick support was dropped upstream
  * Refresh patches
  * Update symbols file

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 27 Apr 2015 10:24:25 +0200

mpv (0.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 17 Mar 2015 14:53:12 +0100

mpv (0.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Mar 2015 13:05:37 +0100

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 9),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libass-dev (>= 0.12.1~),
 libavcodec-dev (>= 6:11~),
 libavdevice-dev (>= 6:11~),
 libavfilter-dev (>= 6:11~),
 libavformat-dev (>= 6:11~),
 libavresample-dev (>= 6:11~),
 libavutil-dev (>= 6:10~),
 libbluray-dev,
 libbs2b-dev,
 libcdio-paranoia-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev [linux-any],
 libenca-dev,
 libgl1-mesa-dev,
 libguess-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libpulse-dev,
 libsdl2-dev,
 libswscale-dev,
 libva-dev,
 libvdpau-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 pkg-config,
 python,
 python-docutils,
Standards-Version: 3.9.6
Homepage: http://mpv.io/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, youtube-dl (>= 2014.11.26)
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: mpv-dbg
Priority: extra
Section: debug
Architecture: any
Depends: mpv (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (debug)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides debugging symbols for mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: youtube-dl (>= 2014.11.26)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

Package: libmpv-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library debug)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides debugging symbols for libmpv.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),ppc64el)
export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
endif

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v configure					\
			--prefix=/usr					\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
			--confdir=/etc/mpv				\
			--zshdir=/usr/share/zsh/vendor-completions	\
			--enable-cdda --enable-sdl2			\
			--enable-zsh-comp --enable-libmpv-shared	\
			--disable-build-date


override_dh_auto_build:
	python ./waf -v build

override_dh_auto_install:
	python ./waf -v install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	test -s ./waf && python ./waf -v distclean || true
	find . -name "*.pyc" -delete

override_dh_strip:
	dh_strip -pmpv --dbg-package=mpv-dbg
	dh_strip -plibmpv1 --dbg-package=libmpv-dbg

## mpv 0.11.0

=== debian/changelog ===
mpv (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Drop ladspa-sdk and libbs2b-dev from Build-Depends
  * Enable sndio audio output (Closes: #798985)
  * Re-enable PIE.
    Thanks to Simon Ruderich for the patch (Closes: #799738)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 24 Sep 2015 21:04:07 +0200

mpv (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Bump versioned Build-Depends for ffmpeg
  * Update waf to v1.8.12
  * Refresh patches
  * Disable PIE to avoid build failure
  * Enable rubberband support (Closes: #797734)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 04 Sep 2015 10:52:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
- ladspa-sdk,
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
- libavcodec-dev (>= 6:11~),
- libavdevice-dev (>= 6:11~),
- libavfilter-dev (>= 6:11~),
- libavformat-dev (>= 6:11~),
- libavresample-dev (>= 6:11~),
- libavutil-dev (>= 6:10~),
+ libavcodec-dev (>= 7:2.4~),
+ libavdevice-dev (>= 7:2.4~),
+ libavfilter-dev (>= 7:2.4~),
+ libavformat-dev (>= 7:2.4~),
+ libavresample-dev (>= 7:2.4~),
+ libavutil-dev (>= 7:2.4~),
  libbluray-dev,
- libbs2b-dev,
  libcdio-paranoia-dev,
  libdvdnav-dev,
  libdvdread-dev,
@@ -29,8 +26,10 @@
  liblcms2-dev (>= 2.6~),
  liblua5.2-dev,
  libpulse-dev,
+ librubberband-dev,
  libsdl2-dev,
- libswscale-dev,
+ libsndio-dev,
+ libswscale-dev (>= 7:2.4~),
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],

## mpv 0.12.0

=== wscript ===
--- 
+++ 
@@ -83,7 +83,7 @@
     }, {
         'name': '--test',
         'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka', '>= 0.4.1'),
+        'func': check_pkg_config('cmocka', '>= 1.0.0'),
         'default': 'disable',
     }, {
         'name': '--clang-database',
@@ -173,6 +173,10 @@
         'func': check_true,
         'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
     }, {
+        'name': 'c11-tls',
+        'desc': 'C11 TLS support',
+        'func': check_statement('stddef.h', 'static _Thread_local int x = 0'),
+    }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
         'deps': [ 'pthreads' ],
@@ -277,10 +281,6 @@
         'func': check_statement('sys/vfs.h',
                                 'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
     }, {
-        'name': '--libguess',
-        'desc': 'libguess support',
-        'func': check_pkg_config('libguess', '>= 1.0'),
-    }, {
         'name': '--libsmbclient',
         'desc': 'Samba support',
         'deps': [ 'libdl' ],
@@ -339,7 +339,7 @@
     }, {
         'name': '--enca',
         'desc': 'ENCA support',
+        'deps': [ 'iconv' ],
         'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
     }, {
-        'name': '--ladspa',
-        'desc': 'LADSPA plugin support',
+        'name': '--libguess',

=== debian/changelog ===
mpv (2:0.12.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15 repository.
  * Disable sndio support and build-dep. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 22 Nov 2015 16:20:52 -0800

mpv (0.12.0-1) unstable; urgency=medium

  * New upstream release
    - Restore x11 video output (Closes: #800109)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 29 Oct 2015 11:19:56 +0100

mpv (2:0.11.0-1mcr120+1) mepis; urgency=low

  * Rebuild for MEPIS 12 community repository.
  * debian/rules: 
    - Compress deb packages with xz.
    - Disable sndio to prevent FTBFS.
    - Build with -fPIC to avoid FTBFS on Wheezy.
    - Build against "real" ffmpeg headers.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 26 Sep 2015 12:00:48 -0700

mpv (2:0.10.0-1mcr120+1) mepis; urgency=low

  * Rebuild for MEPIS 12 community repository.
  * debian/rules: compress deb packages with xz.
  * Disable liblcms2-dev, Wheezy's is too old.
  * Build against backported libav instead of ffmpeg.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 10 Sep 2015 11:24:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
- libavcodec-dev (>= 7:2.4~),
- libavdevice-dev (>= 7:2.4~),
- libavfilter-dev (>= 7:2.4~),
- libavformat-dev (>= 7:2.4~),
- libavresample-dev (>= 7:2.4~),
- libavutil-dev (>= 7:2.4~),
+ libavcodec-ffmpeg-dev (>= 7:2.4~),
+ libavdevice-ffmpeg-dev (>= 7:2.4~),
+ libavfilter-ffmpeg-dev (>= 7:2.4~),
+ libavformat-ffmpeg-dev (>= 7:2.4~),
+ libavresample-ffmpeg-dev (>= 7:2.4~),
+ libavutil-ffmpeg-dev (>= 7:2.4~),
  libbluray-dev,
  libcdio-paranoia-dev,
  libdvdnav-dev,
@@ -28,8 +30,8 @@
  libpulse-dev,
  librubberband-dev,
  libsdl2-dev,
- libsndio-dev,
- libswscale-dev (>= 7:2.4~),
+# libsndio-dev (>= 1.0.1),
+ libswscale-ffmpeg-dev (>= 7:2.4~),
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS:=hardening=+all # #741439
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-export DEB_CFLAGS_MAINT_APPEND := -mno-altivec
-endif
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	python ./waf -v configure					\
@@ -17,10 +11,9 @@
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
 			--confdir=/etc/mpv				\
 			--zshdir=/usr/share/zsh/vendor-completions	\
-			--enable-cdda --enable-sdl2			\
+			--enable-cdda --enable-sdl2 			\
 			--enable-zsh-comp --enable-libmpv-shared	\
-			--disable-build-date
-
+			--disable-build-date --disable-egl
 
 override_dh_auto_build:
 	python ./waf -v build

## mpv 0.14.0

=== wscript ===
--- 
+++ 
@@ -10,6 +10,11 @@
 
 build_options = [
     {
+        'name': '--gpl3',
+        'desc': 'GPL3 license',
+        'default': 'disable',
+        'func': check_true
+    }, {
         'name': '--cplayer',
         'desc': 'mpv CLI player',
         'default': 'enable',
@@ -130,14 +135,13 @@
         'name': 'win32',
         'desc': 'win32',
         'deps_any': [ 'os-win32', 'os-cygwin' ],
-        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid']),
+        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi']),
     }, {
         'name': '--win32-internal-pthreads',
         'desc': 'internal pthread wrapper for win32 (Vista+)',
         'deps_neg': [ 'posix' ],
         'deps': [ 'win32' ],
         'func': check_true,
-        'default': 'disable',
     }, {
         'name': 'pthreads',
         'desc': 'POSIX threads',
@@ -244,6 +248,10 @@
         'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
                                 'int m; ioctl(0, VT_GETMODE, &m)'),
     }, {
+        'name': 'gbm.h',
+        'desc': 'gbm.h',
+        'func': check_cc(header_name=['stdio.h', 'gbm.h']),
+    }, {
         'name': 'glibc-thread-name',
         'desc': 'GLIBC API for setting thread name',
         'func': check_statement('pthread.h',
@@ -336,10 +344,3 @@
         'name': '--cdda',
         'desc': 'cdda support (libcdio)',
         'func': check_pkg_config('libcdio_paranoia'),
-    }, {
-        'name': '--enca',
-        'desc': 'ENCA support',
-        'deps': [ 'iconv' ],
-        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
-    }, {
-        'name': '--libguess',

=== TOOLS/vf_dlopen/Makefile ===
#
# Copyright (c) 2012 Rudolf Polzer <divVerent@xonotic.org>
#
# This file is part of mpv's vf_dlopen examples.
#
# mpv's vf_dlopen examples are free software; you can redistribute them and/or
# modify them under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# mpv's vf_dlopen examples are distributed in the hope that they will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with mpv's vf_dlopen examples; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA
#

FILTERS = telecine tile rectangle framestep ildetect
COMMON = filterutils.o

OBJECTS = $(patsubst %,%.o,$(FILTERS)) $(COMMON)
HEADERS = $(wildcard *.h)
OUT = $(patsubst %,%.so,$(FILTERS))

CFLAGS ?= -Wall -Wextra -O3 -march=native -mtune=native -ffast-math

CPPFLAGS += -I../../video/filter
CFLAGS += -fPIC
LDFLAGS += -shared -fPIC

ifneq ($(LTO),)
CFLAGS += -flto
LDFLAGS += $(CFLAGS) -flto
endif

all: $(OUT)

clean:
	$(RM) $(OBJECTS) $(OUT)

%.so: %.o $(COMMON)
	$(CC) $(LDFLAGS) $(LIBS) -o $@ $(COMMON) $<

# FIXME replace this by real dependency tracking
%.o: %.c $(HEADERS)

=== debian/changelog ===
mpv (0.14.0-1build1) xenial; urgency=medium

  * Rebuild against libsndio6.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Mar 2016 23:01:49 +0100

mpv (0.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #806183)
  * Fix spelling-error-in-binary

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 27 Dec 2015 19:27:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper (>= 9),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
- libavcodec-ffmpeg-dev (>= 7:2.4~),
- libavdevice-ffmpeg-dev (>= 7:2.4~),
- libavfilter-ffmpeg-dev (>= 7:2.4~),
- libavformat-ffmpeg-dev (>= 7:2.4~),
- libavresample-ffmpeg-dev (>= 7:2.4~),
- libavutil-ffmpeg-dev (>= 7:2.4~),
+ libavcodec-dev (>= 7:2.4~),
+ libavdevice-dev (>= 7:2.4~),
+ libavfilter-dev (>= 7:2.4~),
+ libavformat-dev (>= 7:2.4~),
+ libavresample-dev (>= 7:2.4~),
+ libavutil-dev (>= 7:2.4~),
  libbluray-dev,
  libcdio-paranoia-dev,
  libdvdnav-dev,
@@ -30,8 +28,8 @@
  libpulse-dev,
  librubberband-dev,
  libsdl2-dev,
-# libsndio-dev (>= 1.0.1),
- libswscale-ffmpeg-dev (>= 7:2.4~),
+ libsndio-dev (>= 1.0.1),
+ libswscale-dev (>= 7:2.4~),
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	python ./waf -v configure					\
@@ -11,9 +11,10 @@
 			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
 			--confdir=/etc/mpv				\
 			--zshdir=/usr/share/zsh/vendor-completions	\
-			--enable-cdda --enable-sdl2 			\
+			--enable-cdda --enable-sdl2 --enable-sndio	\
 			--enable-zsh-comp --enable-libmpv-shared	\
-			--disable-build-date --disable-egl
+			--disable-build-date
+
 
 override_dh_auto_build:
 	python ./waf -v build

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mpv-$1.tar.gz/ \
  https://github.com/mpv-player/mpv/tags .*/v?(\d\S*)\.tar\.gz

## mpv 0.18.0

=== debian/changelog ===
mpv (0.18.0-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream release. (Closes: #815692)
  * debian/control:
    - Use cgit in the Vcs-Browser URL.
  * debian/copyright:
    - GPL-2: sort and add missing files.
    - Add files licensed under the ISC license.

  [ Mateusz Łukasik ]
  * debian/patches:
    - Refresh 01_desktop-path.patch.
    - Remove 05_fix-typo.patch -- included upstream.
    - Add 05_add-keywords.patch to provides keywords by desktop file.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Use secured links for Vcs.
  * Drop mpv-dbg and libmpv-dbg packages.
  * Update debian/copyright.
  * debian/rules:
    - Enable encoding.
  * Update debian/libmpv-dev.examples.

 -- James Cowgill <jcowgill@debian.org>  Tue, 05 Jul 2016 13:53:51 +0200

=== debian/control ===
--- 
+++ 
@@ -42,10 +42,10 @@
  pkg-config,
  python,
  python-docutils,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mpv.io/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mpv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mpv.git
 
 Package: mpv
 Architecture: any
@@ -67,18 +67,6 @@
   * Screenshot improvements
   * ...
  See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.
-
-Package: mpv-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: mpv (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: video player based on MPlayer/mplayer2 (debug)
- mpv is a movie player based on MPlayer and mplayer2. It supports a wide
- variety of video file formats, audio and video codecs, and subtitle types.
- .
- This package provides debugging symbols for mpv.
 
 Package: libmpv1
 Section: libs
@@ -104,15 +92,3 @@
  variety of video file formats, audio and video codecs, and subtitle types.
  .
  This package provides development files for libmpv.
-
-Package: libmpv-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: video player based on MPlayer/mplayer2 (client library debug)
- mpv is a movie player based on MPlayer and mplayer2. It supports a wide
- variety of video file formats, audio and video codecs, and subtitle types.
- .
- This package provides debugging symbols for libmpv.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 			--zshdir=/usr/share/zsh/vendor-completions	\
 			--enable-cdda --enable-sdl2 --enable-sndio	\
 			--enable-zsh-comp --enable-libmpv-shared	\
+			--enable-encoding				\
 			--disable-build-date
 
 
@@ -31,7 +32,3 @@
 override_dh_auto_clean:
 	test -s ./waf && python ./waf -v distclean || true
 	find . -name "*.pyc" -delete
-
-override_dh_strip:
-	dh_strip -pmpv --dbg-package=mpv-dbg
-	dh_strip -plibmpv1 --dbg-package=libmpv-dbg

## mpv 0.18.1

=== wscript ===
--- 
+++ 
@@ -10,11 +10,6 @@
 
 build_options = [
     {
-        'name': '--gpl3',
-        'desc': 'GPL3 license',
-        'default': 'disable',
-        'func': check_true
-    }, {
         'name': '--cplayer',
         'desc': 'mpv CLI player',
         'default': 'enable',
@@ -54,6 +49,11 @@
         'name': '--manpage-build',
         'desc': 'manpage generation',
         'func': check_ctx_vars('RST2MAN')
+    }, {
+        'name': '--html-build',
+        'desc': 'html manual generation',
+        'func': check_ctx_vars('RST2HTML'),
+        'default': 'disable',
     }, {
         'name': '--pdf-build',
         'desc': 'pdf manual generation',
@@ -135,7 +135,7 @@
         'name': 'win32',
         'desc': 'win32',
         'deps_any': [ 'os-win32', 'os-cygwin' ],
-        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi']),
+        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'avrt', 'dwmapi']),
     }, {
         'name': '--win32-internal-pthreads',
         'desc': 'internal pthread wrapper for win32 (Vista+)',
@@ -199,12 +199,6 @@
         'deps_any': [ 'os-win32', 'os-cygwin' ],
         'func': check_true
     }, {
-        'name': '--waio',
-        'desc': 'libwaio for win32',
-        'deps': [ 'os-win32', 'mingw' ],
-        'func': check_libs(['waio'],
-                    check_statement('waio/waio.h', 'waio_alloc(0, 0, 0, 0)')),
-    }, {
         'name': '--termios',
         'desc': 'termios',
         'func': check_headers('termios.h', 'sys/termios.h'),
@@ -344,3 +338,9 @@
         'name': '--cdda',
         'desc': 'cdda support (libcdio)',
         'func': check_pkg_config('libcdio_paranoia'),
+    }, {
+        'name': '--enca',
+        'desc': 'ENCA support',
+        'deps': [ 'iconv' ],
+        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
+    }, {

=== debian/changelog ===
mpv (0.18.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #833713)

  * debian/control:
    - Add myself to the list of uploaders.
    - Enable smbclient support. (LP: #1502533)
  * debian/patches:
    - Suppress ffmpeg version mismatch error. (Closes: #831537)

 -- James Cowgill <jcowgill@debian.org>  Wed, 10 Aug 2016 22:03:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
- Reinhard Tartler <siretart@tauware.de>
+ Reinhard Tartler <siretart@tauware.de>,
+ James Cowgill <jcowgill@debian.org>
 Build-Depends: debhelper (>= 9),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
@@ -28,6 +29,7 @@
  libpulse-dev,
  librubberband-dev,
  libsdl2-dev,
+ libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
  libswscale-dev (>= 7:2.4~),
  libva-dev,

## mpv 0.21.0

=== wscript ===
--- 
+++ 
@@ -135,7 +135,7 @@
         'name': 'win32',
         'desc': 'win32',
         'deps_any': [ 'os-win32', 'os-cygwin' ],
-        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'avrt', 'dwmapi']),
+        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi']),
     }, {
         'name': '--win32-internal-pthreads',
         'desc': 'internal pthread wrapper for win32 (Vista+)',
@@ -148,13 +148,17 @@
         'func': check_pthreads,
         'req': True,
         'fmsg': 'Unable to find pthreads support.'
+    }, {
+        'name': 'gnuc',
+        'desc': 'GNU C extensions',
+        'func': check_statement([], "__GNUC__"),
     }, {
         'name': 'stdatomic',
         'desc': 'stdatomic.h',
         'func': check_libs(['atomic'],
             check_statement('stdatomic.h',
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
-                'int test2 = atomic_load(&test)'))
+                'atomic_fetch_add(&test, 1)'))
     }, {
         'name': 'atomic-builtins',
         'desc': 'compiler support for __atomic built-ins',
@@ -173,9 +177,10 @@
         'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
     }, {
         'name': 'atomics',
-        'desc': 'compiler support for usable thread synchronization built-ins',
-        'func': check_true,
-        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
+        'desc': 'stdatomic.h support or emulation',
+        'func': check_true,
+        'req': True,
+        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins', 'gnuc'],
     }, {
         'name': 'c11-tls',
         'desc': 'C11 TLS support',
@@ -341,6 +346,3 @@
     }, {
         'name': '--enca',
         'desc': 'ENCA support',
-        'deps': [ 'iconv' ],
-        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
-    }, {

=== debian/changelog ===
mpv (0.21.0-2) unstable; urgency=medium

  * Add a transitional package for mplayer2.
    - Add symlinks for mplayer and its man page.
    - Add mplayer2.NEWS.
    - Build-Depend on dpkg-dev >= 1.17 for dpkg-parsechangelog -S.

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Oct 2016 09:08:05 +0100

mpv (0.21.0-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Enable GBM and V4L2.
  * debian/libmpv-dev.examples:
    - Drop, contents now included in main mpv manpage.
  * debian/patches:
    - Refresh patches.
    - Drop 01_desktop-path.patch.
  * debian/rules:
    - Remove verbose flag from waf configure.
    - Remove dh_install override and use debian/tmp explicitly in
      mpv.install.

 -- James Cowgill <jcowgill@debian.org>  Thu, 20 Oct 2016 11:43:36 +0100

mpv (0.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Sat, 27 Aug 2016 00:20:40 +0100

mpv (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new mpv_stream_cb_add_ro symbol to libmpv1.symbols.
  * Update debian/copyright.
  * Refresh patches.

 -- James Cowgill <jcowgill@debian.org>  Thu, 25 Aug 2016 22:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends: debhelper (>= 9),
+ dpkg-dev (>= 1.17),
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
  libavcodec-dev (>= 7:2.4~),
@@ -20,6 +21,7 @@
  libdvdread-dev,
  libegl1-mesa-dev [linux-any],
  libenca-dev,
+ libgbm-dev,
  libgl1-mesa-dev,
  libguess-dev,
  libjack-dev,
@@ -32,6 +34,7 @@
  libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
  libswscale-dev (>= 7:2.4~),
+ libv4l-dev,
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],
@@ -94,3 +97,15 @@
  variety of video file formats, audio and video codecs, and subtitle types.
  .
  This package provides development files for libmpv.
+
+Package: mplayer2
+Section: oldlibs
+Architecture: all
+Depends: mpv, ${misc:Depends}
+Multi-Arch: foreign
+Replaces: mplayer
+Conflicts: mplayer
+Description: transitional dummy package for mpv
+ This is a transitional dummy package to get upgrading systems to install
+ the mpv package. It can safely be removed once no other package depends
+ on it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

PACKAGE_VERSION = $(shell dpkg-parsechangelog -SVersion)

%:
	dh $@

override_dh_auto_configure:
	python ./waf configure						\
			--prefix=/usr					\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
			--confdir=/etc/mpv				\
			--zshdir=/usr/share/zsh/vendor-completions	\
			--enable-cdda --enable-sdl2 --enable-sndio	\
			--enable-zsh-comp --enable-libmpv-shared	\
			--enable-encoding				\
			--disable-build-date

override_dh_auto_build:
	python ./waf -v build

override_dh_auto_install:
	python ./waf -v install --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_gencontrol:
	dh_gencontrol -pmplayer2 -- -v3:$(PACKAGE_VERSION)
	dh_gencontrol --remaining-packages

override_dh_auto_clean:
	test -s ./waf && python ./waf -v distclean || true
	find . -name "*.pyc" -delete
